Jump to content
speeding_ant

"SimpleFeatures" - WebServer Plugin [SUPPORT]

308 posts in this topic Last Reply

Recommended Posts

In version 1.0.5 all PHP extensions were enabled by default, though most of the time these are not all needed.

 

In version 1.0.11 some common PHP extensions are enabled and the rest is disabled to safe memory and improve performance.

 

Some of the disabled extensions also require the appropriate package to be installed. Therefore look into the plg file to see what packages are set to optional.

 

My (and PHP) recommendation: only use the extensions when really required.

Share this post


Link to post

What are you installing that need gettext.so?

 

//Peter

 

Spotweb.

 

Another error at the end of the install process, I'll see if a reboot helps tomorrow. System is to busy to do that now.

Share this post


Link to post

Did not get it to work. I deleted all packages and plugins and have been step by step installing since yesterday.

 

I have not rebooted yet but sofar everything seems to work.

 

I do understand the power of virtualisation now, I think I have to much running on my box if an update makes this necessary..

Share this post


Link to post

Did not get it to work. I deleted all packages and plugins and have been step by step installing since yesterday.

 

I have not rebooted yet but sofar everything seems to work.

 

I do understand the power of virtualisation now, I think I have to much running on my box if an update makes this necessary..

 

+ 1.

 

My box simply hosts my personal website and shares my data. These two things arguably go together well, allowing me to essentially host my own dropbox. However, add more to the mix and you're better off with a dedicated VM to deal with it.

Share this post


Link to post

Still have not got this to work... after a reboot everything was gone again.. I am now rebooting regularly to switch between plugins :-(

Share this post


Link to post

Post a copy of your php.ini file (the one in your flash drive, simplefeatures config folder), and post exactly what extensions are required by the software you're trying to use.

 

Cheers

Share this post


Link to post

Please do not see this as a complaint:

 

I could post my php.ini, but I would have no idea what my other plugins needs, specifically spotweb. I also do not believe that the issue is therein. If reinstalling the sf webserver (not the core) renders the main unraid pages unreachable I do not think that is due to php or another plugin (although it might). I have gone as far as completely starting with a fresh usb, installing everything step by step. There is incompatibilty between some of my plugins that was introduced with the latest simplefeatures version.

 

I have reverted back to the previous version and will stay there I am afraid, I might try an upgrade in the future sometime. I think I have made a mistake in dressing unraid up with to many fancy looks and plugins, I need a stable system to support sabnzb, couchpotato, sickbeard, transmission and the core unraid functionality. Although I like tinkering and playing around with the system this is just to much.

 

Thank you for all your support and a great product, I really mean that !

Share this post


Link to post

Please do not see this as a complaint:

 

I could post my php.ini, but I would have no idea what my other plugins needs, specifically spotweb. I also do not believe that the issue is therein. If reinstalling the sf webserver (not the core) renders the main unraid pages unreachable I do not think that is due to php or another plugin (although it might). I have gone as far as completely starting with a fresh usb, installing everything step by step. There is incompatibilty between some of my plugins that was introduced with the latest simplefeatures version.

 

I have reverted back to the previous version and will stay there I am afraid, I might try an upgrade in the future sometime. I think I have made a mistake in dressing unraid up with to many fancy looks and plugins, I need a stable system to support sabnzb, couchpotato, sickbeard, transmission and the core unraid functionality. Although I like tinkering and playing around with the system this is just to much.

 

Thank you for all your support and a great product, I really mean that !

 

If installing the SF webserver renders the main pages unreachable then that means that one of the dependencies it relies on has failed to download. PHP will be giving errors like crazy in syslog. I'd recommend install core, then SF webserver manually to see what errors you get when installing.

 

Ensure you're using the latest unRAID version, and ensure that you install plugins one at a time to find out where the problem lies.

 

Hopefully this will all become irrelevant when Tom replaces emhttp with the same technology we're using for this plugin (it's definitely on the cards). Of course, it always becomes an issue when you have plugin dependency hell, where different plugins rely on different versions of binaries/libraries and so on.

 

The latest PHP combined with lighttpd should handle everything thrown at it, provided the software you're using isn't ancient and uses deprecated code.

Share this post


Link to post

Don't know if this will be any help to anyone but I am not having any problems with the new SF and the SF webserver. Not really using the SF webserver for anything but ajaxplorer at the moment so maybe not a good test.

 

The difference might be that I am using NZBGet instead of SAB. When booting it looks like SAB has more dependencies than NZBGet. I don't use SB or CP so that might also be a difference.

 

The only other addon I am using that has a web user interface (not just plugin configuration page) is Transmission.

Share this post


Link to post

Question for speeding_ant...

 

Is there any mileage in a static php build?  I've dabbled in compiling my own php from time to time although never statically.  Would that remove the need to install dependent packages?  I guess it would bloat the php binaries. 

 

As it stands I need to review my own plugins such as OpenSSH and AirVideo which now use older packages than the ones in the new SF core and web.  I know without a package manager this is a nightmare, but before updating to newer versions, it'd probably be wise from a change management point of view to collaborate with other plugin devs who's work may be impacted.

 

 

 

Regards,

overbyrn

 

 

Share this post


Link to post

Question relating to the PHP compile within Web Server

 

I am using a PHP Client to transfer a large file, when I click download I get the error message

ErrorException [ Warning ]: finfo::file(full path to file): failed to open stream: Value too large for defined data type

a little investigation and I believe that this is because the 3GB file limit is a limitation of 32bit, I have seen repies saying that I need a 64bit compiled version of PHP to be able to download any file larger than 3GB

 

can someone confirm if my findings are correct?

 

and is it possible to use a 64bit compiled version of PHP with websever, and if so, How?

 

thanks in advance

Share this post


Link to post

Question for speeding_ant...

 

Is there any mileage in a static php build?  I've dabbled in compiling my own php from time to time although never statically.  Would that remove the need to install dependent packages?  I guess it would bloat the php binaries. 

 

As it stands I need to review my own plugins such as OpenSSH and AirVideo which now use older packages than the ones in the new SF core and web.  I know without a package manager this is a nightmare, but before updating to newer versions, it'd probably be wise from a change management point of view to collaborate with other plugin devs who's work may be impacted.

 

 

 

Regards,

overbyrn

 

For some of the other packages that require dependencies like specific sqlite libraries, or ffmpeg libraries, then yes. There are benefits for sure!

 

Once I get the bugs in the iTunes Server plugin ironed out, it will become self contained.

Share this post


Link to post

Question relating to the PHP compile within Web Server

 

I am using a PHP Client to transfer a large file, when I click download I get the error message

ErrorException [ Warning ]: finfo::file(full path to file): failed to open stream: Value too large for defined data type

a little investigation and I believe that this is because the 3GB file limit is a limitation of 32bit, I have seen repies saying that I need a 64bit compiled version of PHP to be able to download any file larger than 3GB

 

can someone confirm if my findings are correct?

 

and is it possible to use a 64bit compiled version of PHP with websever, and if so, How?

 

thanks in advance

 

tough crowd :)

 

guess its just me hitting this wall then

Share this post


Link to post

have just upgraded all SF plugins, all working fine, but.....

 

PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php/extensions/php_curl.dll' - /usr/lib/php/extensions/php_curl.dll: cannot open shared object file: No such file or directory in Unknown on line 0

 

this worked fine before upgrade, does the new version have legacy issues or maybe a package has been missed in the new plugin?

 

or do I need to do something else?

 

thanks in advance

Share this post


Link to post

Seeing this error over and over again in /var/log/lighttpd/php.errors.log

 

[11-Mar-2013 16:37:24 UTC] PHP Notice: Undefined variable: screen_ in /usr/local/emhttp/plugins/webGui/DiskStatus.php on line 91

 

Any ideas?

 

John

Share this post


Link to post

have just upgraded all SF plugins, all working fine, but.....

 

PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php/extensions/php_curl.dll' - /usr/lib/php/extensions/php_curl.dll: cannot open shared object file: No such file or directory in Unknown on line 0

 

this worked fine before upgrade, does the new version have legacy issues or maybe a package has been missed in the new plugin?

 

or do I need to do something else?

 

thanks in advance

 

solved my own issue!

 

dll files are for windows not nix (DOH!) so commented out the php_curl.dll line in php.ini, restarted the web server, and BINGO!

 

hope fully will be useful to someone else

Share this post


Link to post

Just updated all my plugins (Core, Disk Health, Email Notify, System Stats) and all works fine.

 

If I install the updated webserver, I cannot render the SimpleFeatures WebUI.

 

If I try reinstalling the Core PLG file, I get the following error:

root@Tower:/boot/plugins# installplg simpleFeatures.core.webGUI-1.0.11-noarch-1.plg
/usr/bin/php: error while loading shared libraries: libssl.so.0: cannot open shared object file: No such file or directory

 

If I remove the updated web server PLG and try reloading the 1.0.5 Web Server PLG File, I get the following errors in PHP_errors:

 

[15-Mar-2013 17:13:33 UTC] PHP Notice: Undefined variable: script in /usr/local/emhttp/update_web.php on line 40
[15-Mar-2013 17:13:33 UTC] PHP Notice: Undefined variable: config in /usr/local/emhttp/update_web.php on line 41
[15-Mar-2013 17:13:33 UTC] PHP Notice: Undefined variable: setup in /usr/local/emhttp/update_web.php on line 41
[15-Mar-2013 17:13:33 UTC] PHP Warning: file_put_contents(): Filename cannot be empty in /usr/local/emhttp/update_web.php on line 41
[15-Mar-2013 17:13:33 UTC] PHP Notice: Undefined variable: enable in /usr/local/emhttp/update_web.php on line 42

 

Any thoughts?

 

 

Share this post


Link to post

Just tried to install the webserver plugin, I had to replace the sqlite-3.7.14.1-i486-1.txz package as it was updated and the former one removed from the slackware repository.

Then in the config panel of the webserver plugin, the configs are not saved. A .ini is missing, here is a log excerpt :

 

[20-Mar-2013 19:10:15 UTC] PHP Notice: Undefined index: section in /usr/local/emhttp/update.php on line 48

[20-Mar-2013 19:10:17 UTC] PHP Notice: Undefined variable: unraid in /usr/local/emhttp/plugins/simpleFeatures.webServer/WEBsettings.php on line 11

[20-Mar-2013 19:10:17 UTC] PHP Warning: parse_ini_file(/simpleFeatures.web.server.ini): failed to open stream: No such file or directory in /usr/local/emhttp/plugins/simpleFeatures.webServer/WEBsettings.php on line 11

Share this post


Link to post

Just tried to install the webserver plugin, I had to replace the sqlite-3.7.14.1-i486-1.txz package as it was updated and the former one removed from the slackware repository.

Then in the config panel of the webserver plugin, the configs are not saved. A .ini is missing, here is a log excerpt :

 

[20-Mar-2013 19:10:15 UTC] PHP Notice: Undefined index: section in /usr/local/emhttp/update.php on line 48

[20-Mar-2013 19:10:17 UTC] PHP Notice: Undefined variable: unraid in /usr/local/emhttp/plugins/simpleFeatures.webServer/WEBsettings.php on line 11

[20-Mar-2013 19:10:17 UTC] PHP Warning: parse_ini_file(/simpleFeatures.web.server.ini): failed to open stream: No such file or directory in /usr/local/emhttp/plugins/simpleFeatures.webServer/WEBsettings.php on line 11

 

I am seeing the same issue but don't know enough to fix...

 

file /boot/packages/sqlite-3.7.14.1-i486-1.txz: downloading from http://slackware.cs.utah.edu/pub/slackware/slackware-current/slackware/ap/sqlite-3.7.14.1-i486-1.txz ... http://slackware.cs.utah.edu/pub/slackware/slackware-current/slackware/ap/sqlite-3.7.14.1-i486-1.txz:
2013-03-20 18:38:22 ERROR 404: Not Found.
bad download, deleting

 

John

Share this post


Link to post

OK...I fixed my webserver plg to point to the new SQLLite package.  I highly suggest that you wait for the developers to fix the issue officially, but, if you are impatient like I am, here is what I did:

 

I edited the simpleFeatures.web.server-1.0.11-noarch-1.plg  in Notepad++

CTRL+H to do a find and replace:  replace sqlite-3.7.14.1-i486-1.txz with sqlite-3.7.16-i486-1.txz (there should be 3 occurrences)

Also do a find/replace for 433769b1cd27b59667a34295184356e3  with a6f1606b7fc032d28937a75c0cd3ae68 (one occurrence) (this is the MD5 for the new SQLLite package)

 

Then I manually installed via putty:  installplg /boot/plugins/simpleFeatures.web.server-1.0.11-noarch-1.plg

 

All is good again!  :)

 

John

Share this post


Link to post

Well, uninstalled the plugin & reinstalled once again, unfortunately, the simpleFeatures.web.server.ini is still missing

Share this post


Link to post

OK...I fixed my webserver plg to point to the new SQLLite package.  I highly suggest that you wait for the developers to fix the issue officially, but, if you are impatient like I am, here is what I did:

 

I edited the simpleFeatures.web.server-1.0.11-noarch-1.plg  in Notepad++

CTRL+H to do a find and replace:  replace sqlite-3.7.14.1-i486-1.txz with sqlite-3.7.16-i486-1.txz (there should be 3 occurrences)

Also do a find/replace for 433769b1cd27b59667a34295184356e3  with a6f1606b7fc032d28937a75c0cd3ae68 (one occurrence) (this is the MD5 for the new SQLLite package)

 

Then I manually installed via putty:  installplg /boot/plugins/simpleFeatures.web.server-1.0.11-noarch-1.plg

 

All is good again!  :)

 

John

 

Nice one..!  8) Thanks..!  :)

Share this post


Link to post

I am trying to get something setup to run using this plugin and I finally have everything running but when I try to load the page it throws an error saying not to run as root. Anybody know what I change to make this particular script run as a different user?

Share this post


Link to post

I see this in my server log, maybe some plugin needs to be fixed.....

 

/usr/bin/tail -n 1000 -f /var/log/lighttpd/php.errors.log
[02-Apr-2013 15:35:34 UTC] PHP Notice: Undefined variable: string in /usr/local/emhttp/plugins/apcupsd/apcupsdctl.php on line 140
[02-Apr-2013 16:23:22 UTC] PHP Notice: Undefined variable: vm_run_cnt in /usr/local/emhttp/plugins/virtualbox/virtualbox.php on line 39
[02-Apr-2013 16:23:46 UTC] PHP Notice: Undefined variable: airvideo_datacheck in /usr/local/emhttp/plugins/airvideo/airvideo.php on line 42

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.